@charset "UTF-8";

:root {
  --font-size-10: calc(10 / 16 * 1rem);
  --font-size-12: calc(12 / 16 * 1rem);
  --font-size-14: calc(14 / 16 * 1rem);
  --font-size-16: calc(16 / 16 * 1rem); /* 標準 */
  --font-size-18: calc(18 / 16 * 1rem);
  --font-size-20: calc(20 / 16 * 1rem);
  --font-size-22: calc(22 / 16 * 1rem);
  --font-size-24: calc(24 / 16 * 1rem);
  --font-size-26: calc(26 / 16 * 1rem);
  --font-size-28: calc(28 / 16 * 1rem);
  --font-size-30: calc(30 / 16 * 1rem);
  --font-size-32: calc(32 / 16 * 1rem);
  --font-size-34: calc(34 / 16 * 1rem);
  --font-size-38: calc(38 / 16 * 1rem);
  --font-size-40: calc(40 / 16 * 1rem);
  --font-size-42: calc(42 / 16 * 1rem);
  --font-size-44: calc(44 / 16 * 1rem);
  --font-size-46: calc(46 / 16 * 1rem);
  --font-size-48: calc(48 / 16 * 1rem);
  --font-size-60: calc(60 / 16 * 1rem);
  --font-size-62: calc(62 / 16 * 1rem);
  --font-size-64: calc(64 / 16 * 1rem);
  --font-size-72: calc(72 / 16 * 1rem);
  --font-size-98: calc(98 / 16 * 1rem);
  
  --opacity: 0; /* 完全に透明 */
  --visibility: hidden; /* 非表示 */
}

.selector {
  font-feature-settings: "palt"; /* 自動カーニング */
}

body {
  position: relative;
  -webkit-text-size-adjust: 100%;
  -moz-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
  text-size-adjust: 100%;
  letter-spacing: .05em;
  text-rendering: auto;
  color: #333;
  font-family: 'Noto Sans JP';
  font-feature-settings: "palt"; /* 自動カーニング */
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  background-color: #fff;
}

.container {
  position: relative; /* ヘッダ、ナビゲーションエリアの起点を指定 */
}

/*--- コンテンツ領域---*/
.content {
  width: 100%;
}

@media (min-width: 768px) { /* タブレット向け（画面幅 768px 以上） */
  .content {
    width: 90%;
    margin: 0 auto;
  }
}

@media (min-width: 1024px) { /* パソコン向け（画面幅 1024px 以上）*/
  .content {
    width: 80%;
    margin: 0 auto;
  }
}

/*--- ページタイトル ---*/
.page-ttl {
  margin-bottom: 1rem;
  position: relative;
  height: 40vh;
  background-color: #0B4587;
  background-size: cover;
  background-position: center;
  opacity: 1;
  & > span {
    position: absolute;
    top: 30%;
    left: 10%;
    font-family: "BIZ UDPGothic", sans-serif;
    font-weight: 400;
    font-style: normal;
    color: #fff;
    text-shadow: 2px 2px 5px #333,
      2px 2px 5px #333;
    letter-spacing: 0.2em;
    font-size: var(--font-size-24);
    white-space: nowrap; /* 改行しない */
    display: inline-block;
    /*-webkit-transform: translate(30%, 30%);
    -moz-transform: translate(30%, 30%);
    transform: translate(30%, 30%);*/
  } 
  &::after { /* ページタイトル英語表記 */
    position: absolute;
    bottom: -0.2em;
    right: 0.5rem;
    font-family: "Sora", sans-serif;
    font-size: var(--font-size-46);
    opacity: 0.3;
    color: white;
    letter-spacing: 0;
  }
}

@media (min-width: 768px) { /* タブレット向け（画面幅 768px 以上） */
}

@media (min-width: 1024px) { /* パソコン向け（画面幅 1024px 以上）*/
  .page-ttl {
    & > span {
      font-size: var(--font-size-42);
    }
    &::after { /* ページタイトル英語表記 */
      right: 2rem;
      font-family: "Sora", sans-serif;
      font-size: var(--font-size-60);
    }
  }
}

/*--- パンくずリスト---*/
.breadcrumb-list {
  padding: 0 15px;
  margin-bottom: 1rem;
  & > ul {
    font-size: var(--font-size-14);
    display: flex;
    flex-direction: row; /* 子要素を左→右に横並び */
    flex-wrap: nowrap; /* 折り返しなし */
    align-content: flex-start; /* 縦軸の配置位置 */
    justify-content: flex-start;
    overflow-x: auto;
    & > li {
      list-style: none;
      line-height: 1.5;
      white-space: nowrap; /* 改行しない */
      &:not(:last-of-type) { /* 最後以外 */
        padding-right: 30px;
        background-image: url("../img/arrow-right_red.png");
        background-position: right 9px center;
        background-repeat: no-repeat;
      }
    }
  }
}

main {
  display: flex;
  flex-direction: column; /* 縦並び */
  align-items: center; /* 縦並びの時の左右中央寄せ */
}

/*--- ページ説明文 ---*/
.page-txt {
  width: 95%;
  margin-bottom: 3rem;
  line-height: 1.5rem;
  text-align: justify;
  text-justify: inter-character;
  word-break: break-all;
}

/*--- セクション領域 ---*/
.sec-cont {
  width: 90%;
  &:not(:last-of-type) { /* 最後以外 */
    margin-bottom: 5rem;
  }
}

/* セクション　タイトル */
.sec-cont-ttl {
  margin-bottom: 3rem;
  padding: 7px 10px;
  font-size: var(--font-size-18);
  font-weight: normal;
  border-left: 15px solid #17a0de;
  border-bottom: 2px solid #17a0de;
}

/* セクション テキスト */
.sec-cont-txt {
  width: 90%;
  margin: 0 auto 1rem;
  line-height: 1.7rem;
  letter-spacing: 0.05rem;
  text-align: justify;
  text-justify: inter-character;
  word-break: break-all;
  &:not(:last-of-type) { /* 最後以外 */
    margin-bottom: 2rem;
  }
}

/* セクション テーブル */
.sec-cont-tbl {
  width: 90%;
  margin: 0 auto;
  &:not(:last-of-type) { /* 最後以外 */
    margin-bottom: 7rem;
  }
  & caption {
    padding: 10px 0;
    font-size: var(--font-size-18);
    background-color: silver;
  }
  & th {
    padding: 1rem 1rem 0.5rem;
    letter-spacing: .1rem;
    line-height: 1.5;
    text-align: left;
    display: block;
  }
  & td {
    padding: 0.5rem 1rem 1rem;
    letter-spacing: .1rem;
    line-height: 1.5;
    border-bottom: 1px dotted #333;
    display: block;
  }
}

/* セクション リスト */
.sec-cont-ul {
  width: 90%;
  margin: 0 auto;
  list-style-position: inside;
  & li {
    line-height: 1.5rem ;
    padding-left: 1.5rem;  /* 全体を右にずらしてマークのスペースを確保 */
    text-indent: -1.5rem;  /* 1行目を左に戻してマークと1行目の位置を調整 */
  }
} 

@media (min-width: 768px) { /* タブレット向け（画面幅 768px 以上）*/
}

@media (min-width: 1024px) { /* パソコン向け（画面幅 1024px 以上）*/
  .sec-cont-tbl {
    & th {
      width: 20%;
      padding: 1.5rem 1rem !important;
      vertical-align: middle;
      font-weight: normal;
      border: 1px solid #E5E4E1;
      background-color: #F4F3F2;
      display: revert;
    }
    & td {
      padding: 1.5rem 1rem !important;
      text-align: justify;
      text-justify: inter-character;
      border: 1px solid #E5E4E1;
      display: revert;
    }
  }
}

/*--- リンクボタン ---*/
.lnk-btn {
  position: relative;
  padding: 0 3rem;
  margin: 0 auto;
  line-height: 2.5;
  text-align: center;
  text-decoration: none;
  border-radius: 25px;
  border: 1px solid #B3BEC9;
  display: block;
  &::after {
    content: "";
    position: absolute;
    top: 50%;
    right: 20px;
    margin-top: -6px;
    width: 7px;
    height: 11px;
    background-image: url("../img/arrow-right_red.png");
    background-repeat: no-repeat;
    display: inline-block;
  }
}

/*--- 下部ボタン領域 ---*/
.bottom-btn-area {
  display: grid;
  flex-wrap: wrap;
  grid-template-columns: repeat(2, 1fr);
  gap: 1rem; /* 横の隙間 */
  & > :only-child {
    grid-column: 1 / -1; /* 1列目から最後のラインまで（2列分）を占有する */
    justify-self: center; /* グリッドセルの中で中央に寄せる */
  }
  & > button, & > a {
    padding: 1rem 2rem;
    font-size: var(--font-size-14);
    font-weight: bold;
    color: #fff;
    text-align: center;
    border-style: none;
    background-color: #057be2;
    border-radius: 5px;
    cursor: pointer;
  }
  & > a {
    text-decoration: none;
    display: inline-block;
  }
}

@media (min-width: 768px) { /* タブレット向け（画面幅 768px 以上）*/
}

@media (min-width: 1024px) { /* パソコン向け（画面幅 1024px 以上）*/
  .bottom-btn-area {
    gap: 3rem; /* 横の隙間 */
  }
}

/*--- ページTOPへのリンク ---*/
.return-to-top {
  position: fixed;
  bottom: 10px;
  right: 10px;
  height: 40px;
  width: 40px;
  background-color: #E5E4E1;
  background-image: url("../img/pagetop.png");
  background-repeat: no-repeat;
  background-position: center center;
  border-radius: 20px;
  text-indent: 100%;
  white-space: nowrap;
  overflow: hidden;
  transition-duration: 0.5s;
  opacity: 0;
  cursor: pointer;
  /*z-index: 300; -20260303- */
}

/*--- フッター ---*/
.page-footer {
  margin-top: 5rem;
  text-align: center;
  background-color: #779DDE;
}

/* コピーライト */
.page-footer-copyright {
  height: 60px;
  line-height: 60px;
  text-align: center;
  color: white;
}

/*--- 文字等ののアニメーション関連 ---*/
/* 文字スライド（左 → 右）*/
.slide-LtoR {
  opacity: 0;
  transform: translateX(-100%);
  transition: all 1s;
  &.is-show {
    opacity: 1;
    transform: translateX(0);
  }
}

/* 文字スライド（右 → 左）*/
.slide-RtoL {
  opacity: 0;
  transform: translateX(100%);
  transition: all 1s;
  &.is-show {
    opacity: 1;
    transform: translateX(0);
  }
}

/* 文字スライド（下 → 上）*/
.slide-BtoT-1 {
  opacity: 0;
  transform: translateY(100px);
  transition: all 1s;
  &.is-show {
    opacity: 1;
    transform: translateY(0);
  }
}

.slide-BtoT-2 {
  opacity: 0;
  transform: translateY(30px);
  transition: all 2s;
  &.is-show {
    opacity: 1;
    transform: translateY(0);
  }
}

/* 下線を引く（左 → 右）*/
.slide-underline {
  background-image: linear-gradient(to right, #ff7e5f, #feb47b); /* 下線の色（グラデーションも可） */
  background-repeat: no-repeat;
  background-position: left bottom; /* 左下を起点にする */
  background-size: 0% 3px; /* 初期状態は横幅0%、縦幅3px（線の太さ） */
  transition: background-size 1.5s ease-out; /* 1.5sかけて変化（ease-out：最初は早く後半はゆっくり変化）*/
  display: inline; /* インラインとして扱う事によって、文字の部分だけ対象となる（指定しないと端まで変化する）*/
  &.is-show {
    background-size: 100% 3px; /* 横幅を100%に伸ばす */
  }
}

/* 要素のスタイルが変化し始めるまでの遅延時間 */
.delay-1 {
  transition-delay: 0.3s;
}
 
.delay-2 {
  transition-delay: 0.6s;
}